#!/bin/sh
# $Id: t-dkim-2.sh,v 1.4 2013/12/13 02:08:16 ca Exp $
# Copyright (c) 2010 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
# ----------------------------------------
# DKIM signing, bogus input
# uses mcpmts.sh
# ----------------------------------------
#

# source directory of this (and other) shell script
SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../chkmts
fi
. ${SD}/common.sh

# cd to right directory
cd ../qmgr || exit 1
rm -f ${MTMAP}

chkcto smtps MTA_USE_DKIM

if test X"`uname`" != "XOSF1"
then
while getopts O:p:s:V FLAG
do
  case "${FLAG}" in
    s) SKIP="${SKIP} ${OPTARG}";;
    V) VERBOSE=true;;
  esac
done
shift `expr ${OPTIND} - 1`
fi

# create directory to pass socket
test -d smtps || mkdir smtps

# create aliases
cat > ${ALI} <<EOF
abuse:	local:
postmaster:	local:
user:	local:
EOF
# create map
rm -f ${ALIMAP}
${MM} < ${ALI}

# create mailertable (save old version?)
cat > ${MT} <<EOF
local.dom	lmtp:
example.net	[127.0.0.1]
EOF

Here=`pwd`
cd $SD/../libdkim || exit
K=`pwd`
cd $Here || exit

MSG=msg
OK=ok

# ----------------------------------------
# simple/simple
TEST=1
if echo " ${SKIP} X" | grep -v " ${TEST} " > /dev/null
then
cat >${SMXCNF} <<EOF
smtps { log_level = 12;pass_fd_socket = smtps/smtpsfd; wait_for_server=4;
	listen_socket { type=inet; port=${SRVPORT}; }
	start_action = pass; user = ${USER};
	path = ../smtps/smtps;
	arguments = "smtps -9 ${DKTIME} -f ${SMXCNF} ${MTA_SERVER_OPTIONS}";
 DKIM_signing {
   sign {
    domain=example.net;
    selector=default;
    keyfile=${K}/private.key; }
 }
}
smtpc { log_level = 12;remote_port = ${SNKPORT}; wait_for_server=4;
	start_action = wait; user = ${USER};
	path = "../smtpc/smtpc"; arguments = "smtpc -f ${SMXCNF}";
}
qmgr { log_level = 12;wait_for_server=4; wait_for_client=4; 
	start_action = wait; user = ${USER};
	restart_dependencies = { smtps,smtpc,smar, };
	path = "../qmgr/qmgr"; arguments = "qmgr -f ${SMXCNF}";
}
smar { log_level = 12;
	start_action = wait; user = ${USER};
	restart_dependencies = { smtps,qmgr };
	path = "../smar/smar"; arguments = "smar -f ${SMXCNF}";
}
EOF

clearlogs

cat > ${MSG} <<EOF
EOF

# ----------------------------------------
if ${SHELL} ${SD}/mcpmts.sh -13 lmtpsock -Ssender@example.net -Ruser@local.dom -E 0 -X 0 -A 1 -Z smtpc2 -c "-D ${MSG}" "$@"
then
  if test -s ${B1}
  then
     ${EGREP} -v '^Return-Path: ' ${B1} |\
	 ${SED} -e '/^Received:/,/^	id /d' > ${OUT}

     cat > ${OK} <<EOF

.
EOF
    if ${DIFF} -w ${OK} ${OUT} >/dev/null
    then
      :
    else
      ERR=true
    fi
  else
     ERR=true
  fi
else
  echo "$0: test ${TEST} failed"
  ERR=true
  test X"${MTA_STOPONERROR}" != X && exit 1
fi
if ${ERR}
then
    echo "$0: test ${TEST} check failed"
    ERRS=`expr ${ERRS} + 1 `
    test X"${MTA_STOPONERROR}" != X && exit 1
else
    ${VERBOSE} && echo "test ${TEST} succeeded"
fi
else
  ${VERBOSE} && echo "$0: test ${TEST} SKIPPED"
fi


# ----------------------------------------
# end
if test ${ERRS} -eq 0
then
#  rm -f ${MSG} ${OK} ${OUT}
  exit 0
else
  echo "$0: ${ERRS} error(s)"
  exit 1
fi
