#!/bin/sh
# $Id: t-ipv6-0.sh,v 1.8 2013/09/19 04:54:34 ca Exp $
#
# ----------------------------------------
# test program for IPv6 in smtps, uses mcpmts.sh
# ----------------------------------------
#

# source directory of this (and other) shell script
SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../chkmts
fi
. ${SD}/common.sh

if [ X"${MTA_NO_IPV6_TEST}" != "X" ]
then
  echo "SKIPPED: $0: MTA_NO_IPV6_TEST set"
  exit 0
fi

chkcto smtps MTA_NETINET6

# cd to right directory
cd ../qmgr || exit 1
rm -f ${MTMAP}

# create directory to pass socket
test -d smtps || mkdir smtps

# ----------------------------------------
${CAT} >${SMXCNF} <<EOF
smtps { log_level = 12;pass_fd_socket = smtps/smtpsfd; wait_for_server=4;
	listen_socket { type=inet6; port=${SRVPORT}; }
	start_action = pass; user = ${USER};
	path = ../smtps/smtps;
	arguments = "smtps -f ${SMXCNF} ${MTA_SERVER_OPTIONS}";
}
smtpc { log_level = 12;remote_port = ${SNKPORT}; wait_for_server=4;
	start_action = wait; user = ${USER};
	path = "../smtpc/smtpc"; arguments = "smtpc -f ${SMXCNF}";
}
qmgr { log_level = 12;wait_for_server=4; wait_for_client=4; 
	start_action = wait; user = ${USER};
	restart_dependencies = { smtps,smtpc,smar, };
	path = "../qmgr/qmgr"; arguments = "qmgr -f ${SMXCNF}";
}
smar { log_level = 12;
	start_action = wait; user = ${USER};
	restart_dependencies = { smtps,qmgr };
	path = "../smar/smar"; arguments = "smar -f ${SMXCNF}";
}
EOF

clearlogs

# ----------------------------------------
SRV_SPEC="inet6:${SRVPORT}@[::1]"
export SRV_SPEC
${SHELL} ${SD}/mcpmts.sh -16 -Z smtpc2 "$@" || exit 1

exit 0
