#!/bin/sh
# $Id: t-mts-icc.sh,v 1.3 2011/08/29 05:19:43 ca Exp $
#
# ----------------------------------------
# test incoming concurrent connections restriction.
# uses smtp1.sh.
# ----------------------------------------
#

if test "X"${MTA_TIMING} = "X"
then
  echo "SKIPPED: $0: MTA_TIMING is not set"
  exit 0
fi

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../chkmts
fi
. ${SD}/common.sh

MM=../libsmmap/t-mm

if test X"`uname`" != "XOSF1"
then
while getopts s:V FLAG
do
  case "${FLAG}" in
    s) SKIP="${SKIP} ${OPTARG}";;
    V) VERBOSE=true;;
  esac
done
shift `expr ${OPTIND} - 1`
fi

# cd to right directory (where the programs will be executed).
cd ../qmgr || exit 1

killit()
{
rm -f ${QMGRCONFMAP}
exit 1
}

# create restrictions
${CAT} > ${QMGRCONF} <<EOF
icm:127.0.0.1	3
EOF
# create map
rm -f ${QMGRCONFMAP}
${MM} -t'	' -F ${QMGRCONFMAP} < ${QMGRCONF}
rm -f ${MTMAP}
trap killit 2

# run some test programs
# Note: when testing rates consider that there is one connection at
# the begin to see whether SMTPS is running!

# ----------------------------------------
# 
TEST=1
if echo "${SKIP} X" | ${GREP} -v " ${TEST} " > /dev/null
then
if ${SHELL} ${SCRIPTS}/smtp1.sh -Z "smtpc2" -c '-d 5 -W d=2 -m 10 -s 10' "$@" -A 3 -E 3 -S"a@b.c" -R"x@y.z" -t 10 -1
then
    # XREF: qmgr/qss_nseid.c logging
    if ${GREP} "open_se=3, max=3, status=exceeded, times=7" ${QML} > /dev/null
    then
      ${VERBOSE} && echo "test ${TEST} succeeded"
    else
        ERRS=`expr ${ERRS} + 1 `
        ${VERBOSE} && echo "$0: test ${TEST}: missing 'exceeded' log entry"
        test X"${MTA_STOPONERROR}" != X && exit 1
    fi
else
    ERRS=`expr ${ERRS} + 1 `
    ${VERBOSE} && echo "test ${TEST} failed"
    test X"${MTA_STOPONERROR}" != X && exit 1
fi
fi


# ----------------------------------------
# end
if test ${ERRS} -eq 0
then
  exit 0
else
  echo "$0: ${ERRS} error(s)"
  exit 1
fi
