#!/bin/sh
# $Id: t-retrylimits-0.sh,v 1.4 2011/02/01 05:58:26 ca Exp $
# Copyright (c) 2010 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
# ----------------------------------------
# test RMIN/RMAX setting via MAIL extensions
# ----------------------------------------

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../chkmts
fi
. ${SD}/common.sh

if test "X"${MTA_TIMING} = "X"
then
  echo "SKIPPED: $0: MTA_TIMING is not set"
  exit 0
fi

cd ../qmgr || exit 1

for P in smtps smtpc qmgr
do
  chkcto $P COMMERCIAL
  chkcto $P SMI_PRI
done

# create aliases
${CAT} > ${ALI} <<EOF
postmaster:	local:
user:	local:
EOF
# create map
rm -f ${ALIMAP}
${MM} < ${ALI}

# create mailertable (save old version?)
${CAT} > ${MT} <<EOF
local.dom	[127.0.0.1]
other.dom	[127.1.2.3]
EOF

EDBROK="../qmgr/t-edbr.ok"
${CAT} > ${EDBROK} <<EOF
got transaction
	mail=<sender@other.dom>
	rcpts_tot=1
	rcpts_left=1
	rcpts_temp=1
	rcpts_perm=0
	state=451
	aqt_rcpts_ar=0
	rmin=60
	rmin=120
got recipient
	rcpt=<451@local.dom>
	aqr_rcpt_idx=0
	aqr_da_idx=0
	aqr_status=451
EOF

# ----------------------------------------
TEST=1
if echo "${SKIP} X" | ${GREP} -v " ${TEST} " > /dev/null
then
if ${SHELL} ${SD}/smtp1.sh -Ssender@other.dom -R451@local.dom -Z smtpc2 -c '-M RMIN=1_RMAX=2' -s 200 -E 3 -O ${EDBROK}
then
  :
else
  ERR=true
fi

if ${ERR}
then
   echo "$0: test ${TEST} failed"
   ERRS=`expr ${ERRS} + 1 `
   test X"${MTA_STOPONERROR}" != X && exit 1
fi
fi


# ----------------
if test ${ERRS} -eq 0
then
  rm -f ${EDBROK}
  exit 0
else
  echo "$0: ${ERRS} error(s)"
  exit 1
fi
