#!/bin/sh
# $Id: t-smtp-0.sh,v 1.10 2013/09/15 00:45:33 ca Exp $
# Copyright (c) 2010 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
# ----------------------------------------
# test basic mail relaying capability including logging
# ----------------------------------------
#

# SKIP: can fail because "logging" to file does not lock output
# and hence some lines might be "mixed up" which breaks this test
exit 0

SD=`dirname $0`
if test "${SD}" = "."
then
   SD=../chkmts
fi
. ${SD}/common.sh

cd ../qmgr || exit 1
P=pattern
rm -f ${MT} ${ALI}

if test X"`uname`" != "XOSF1"
then
while getopts s:V FLAG
do
  case "${FLAG}" in
    s) SKIP="${SKIP} ${OPTARG}";;
    V) VERBOSE=true;;
  esac
done
shift `expr ${OPTIND} - 1`
fi


# create aliases
${CAT} > ${ALI} <<EOF
user:	local:
EOF
# create map
rm -f ${ALIMAP}
${MM} < ${ALI}


chklg()
{
  L=$1
  elines=`wc -l < $P`
  tmp=tmp.$$
  if ${GREP} -f $P "$L" > $tmp
  then
    flines=`wc -l < $tmp`
    if test $flines -eq $elines
    then
      rm -f $tmp
      return 0
    else
      echo "$0: found $flines, expected $elines in $L"
      $VERBOSE && cat $tmp
      ERR=true
      rm -f $tmp
      return 1
    fi
  else
    rm -f $tmp
    echo "$0: pattern $P not found in $L"
    ERR=true
    return 1
  fi
}

ERR=false
if ${SHELL} ${SD}/smtp1.sh -3 lmtpsock -Z smtpc2 -Ss@local.host -Ruser@local.dom -1 -E 0 -X 0 -C "-d 9" -Q "-x 10.9"
then

cat > $P <<"EOF"
sev=INFO, func=qm_ibdb_commit, ss_ta=S00000000000000..00, status=accepted
sev=INFO, func=qmgr_sched_dlvry, ss_ta=S00000000000000..00, da_se=C010000000000000000, da_ta=C010000000100000000, rcpt=<user@local.dom>, rcpt_idx=0, state=1, ip=127.0.0.255, i=0, reuse=0, keep_open=0, entries_cur=1, entries_max=
sev=INFO, func=q_upd_rcpt_ok,.* rcpt_id=S000000000000000C00-000000, rcpt=<user@local.dom>,.* delay=., xdelay=
EOF
  chklg ${QML}

cat > $P <<"EOF"
sev=INFO, func=ss_mail, ss_se=S00000000000000..00, ss_ta=S00000000000000..00, mail=<s@local.host>,.* stat=0
sev=INFO, func=ss_rcpt, ss_se=S00000000000000..00, ss_ta=S00000000000000..00, rcpt=<user@local.dom>, idx=0,.* stat=0
sev=INFO, ss_se=S00000000000000..00, ss_ta=S00000000000000..00, msgid=(NULL), size=[0-9]*,.* stat=0
EOF
  chklg ${SSL}

cat > $P <<"EOF"
sev=INFO, func=sc_one_ta, thread=0, da_se=C010000000000000000, da_ta=C010000000100000000, ss_ta=S000000000000000C00, server=lmtpsock, mail=<s@local.host>, status=0, reply=250 Ok
sev=INFO, func=sc_one_ta, thread=0, da_se=C010000000000000000, da_ta=C010000000100000000, ss_ta=S000000000000000C00, server=lmtpsock, rcpt=<user@local.dom>, stat=0, reply=250 Ok
sev=INFO, func=sc_data, thread=0, da_se=C010000000000000000, da_ta=C010000000100000000, ss_ta=S000000000000000C00, server=lmtpsock, where=final_dot, size=[0-9]*, stat=0, reply=250 OKR S000000000000000100
EOF
  chklg ${SCL}


else
  ERRS=`expr ${ERRS} + 1 `
fi

$ERR && ERRS=`expr ${ERRS} + 1 `

if test ${ERRS} -eq 0
then
  rm -f $P
  exit 0
else
  echo "${ERRS} error(s)"
  exit 1
fi
