#!/bin/sh
# $Id: t-conf-ips-0.sh,v 1.3 2013/11/19 04:59:17 ca Exp $

# ------------------------------------------------------------
# test ipaddr specifications; uses t-conf-ips-0
# ------------------------------------------------------------

test -s stop && exit 1

ERRS=0
B=`basename $0 .sh`
CNF=$B.conf
OUT=$B.out
EXP=$B.exp

PRG=./t-conf-ips-0

if $PRG -V 2>&1 | fgrep 'NETINET6' > /dev/null
then
  HAS_IPV6=true
else
  HAS_IPV6=false
fi

runtest()
{
EXPF=$1
if ${PRG} ${CNF} >${OUT} 2>&1
then
  if diff ${EXP} ${OUT}
  then
    :
  else
    $VERBOSE && echo "$0: test $TEST failed"
    ERRS=`expr ${ERRS} + 1 `
  fi
else
  test X"${EXPF}" = "X" && ERRS=`expr ${ERRS} + 1 `
fi
}

TEST=1
cat > ${CNF} <<EOF
dest { ip=1.2.3.243; pref=0; }
EOF
cp ${CNF} ${EXP}
runtest

TEST=2
cat > ${CNF} <<EOF
dest { ip=1.2.3.243; pref=0; }
dest { ip=5.2.3.243; pref=5; }
dest { ip=9.2.3.243; pref=99; }
EOF
cp ${CNF} ${EXP}
runtest

TEST=3
cat > ${CNF} <<EOF
dest { ip=1.2.3.243; pref=1; }
dest { ip=2.2.3.243; pref=2; }
dest { ip=3.2.3.243; pref=3; }
dest { ip=4.2.3.243; pref=4; }
dest { ip=5.2.3.243; pref=5; }
dest { ip=6.2.3.243; pref=6; }
dest { ip=7.2.3.243; pref=7; }
dest { ip=8.2.3.243; pref=8; }
dest { ip=9.2.3.243; pref=9; }
EOF
cat > ${EXP} <<EOF
(while scanning) t-conf-ips-0.conf: too many elements in array
t-conf-ips-0.conf:9: dest: too many elements in array (maximum: 8)
EOF
runtest 1

TEST=4
if ${HAS_IPV6}
then
echo 'dest { ip=0:0:0:0:0:0:0:1; pref=9; }' > ${CNF}
cp ${CNF} ${EXP}
runtest
fi


# ----------------
if test ${ERRS} -eq 0
then
  rm -f ${CNF} ${OUT}
  exit 0
else
  echo "${ERRS} error(s)"
  exit 1
fi
