#!/bin/sh
# $Id: t-mailparse-0.sh,v 1.4 2011/01/13 23:18:33 ca Exp $
# Copyright (c) 2011 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
test -s stop && exit 1
#
OK=mailparse_parse.ok
OUT=mailparse_parse.out

ERRORS=0
./t-mailparse-0 'user@example.net' 'mta@meta1.org' '"mta mta"@meta1.org' '(mta@meta1.org' 'mta @ meta1.org' '("mta ) mta") <"mta mta"@meta1.org>' '"mta mta" <mta@meta1.org>' '( ("mta ) mta") ) <"mta mta"@meta1.org>' '"mta mta"@meta1.org' 'mta\ mta@meta1.org' '"mta mta' 'mta@[stuff' 'mta@["stuff]' 'named group: foo@bar, baz@barf;' 'mta@foo (mta\
        mta)' '[e@meta1.org' '"e@meta1.org' '"This A. User" <user@example.net>' > ${OUT} 2>&1

cat > ${OK} <<EOF
user: 'user'
domain: 'example.net'
user: 'mta'
domain: 'meta1.org'
user: '"mta mta"'
domain: 'meta1.org'
ERROR: (mta@meta1.org
user: 'mta'
domain: ' meta1.org'
ERROR: ("mta ) mta") <"mta mta"@meta1.org>
user: 'mta'
domain: 'meta1.org'
user: '"mta mta"'
domain: 'meta1.org'
user: '"mta mta"'
domain: 'meta1.org'
user: 'mta\ mta'
domain: 'meta1.org'
ERROR: "mta mta
ERROR: mta@[stuff
user: 'mta'
domain: '["stuff]'
user: 'foo'
domain: 'bar'
user: 'mta'
domain: 'foo'
ERROR: [e@meta1.org
ERROR: "e@meta1.org
user: 'user'
domain: 'example.net'
EOF

diff ${OUT} ${OK} && exit

rm -f ${OK} ${OUT}
exit 1
